RoutesForms module

Forms routes

URLs the Forms module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/forms/add-form addForm

Add a new record. Assigns an empty record to the template.

The admin template receives
VariableTypeDescription
$form Form Single (empty) Form record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/forms/form/{id}/custom-fields editFormCustomFields

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$form Form Retrieved Form record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/forms/forms manageForms

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$forms Collection<Form> Collection of Forms

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/forms/form-submissions/{form.id} manageFormSubmissions

Retrieve available records and assign them to the template for editing.

Path parameters form.id matches \d+

The admin template receives
VariableTypeDescription
$formSubmissions Collection<FormSubmission> Collection of FormSubmissions

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.